[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TClassList.Remove

Remove a class pointer from the list.

## Declaration

Source position: contnrs.pp line 121

`public function TClassList.Remove(`
`AClass: TClass`
`):Integer;`

## Arguments

`AClass` |  | Class pointer to remove from the list.

## Function result

Index of the removed item

## Description

Remove removes a class pointer Item from the list, if it is present in the list. It returns the index of the removed class pointer, or -1 if the class pointer was not present in the list. It simply overrides the implementation in TList so it accepts a class pointer instead of a simple pointer. No new behaviour is introduced.

## Errors

None.

## See also

TClassList.Extract |  | Extract a class pointer from the list.
#rtl.classes.Tlist.Remove

Documentation generated on: Feb 26 2014